dictCleanup(3)

NAME
dictCleanup - cleanup dictionary

SYNOPSIS
#include <util/dict.h> void dictCleanup(dictCtx dict, dictCleanupFunc cleanup, void *rock);

ARGUMENTS
dict - dictionary to cleanup
cleanup - cleanup callback
rock - to pass to <cleanup>

DESCRIPTION
Calls <cleanup> for every item in <dict>. If <cleanup> returns true, then item is removed from <dict>. MT-Level: Safe if <dict> thread-safe.

RETURN VALUE
None.

SEE ALSO
dictDestroy(3), dictCleanup(3), dictReleaseLock(3), dictRemove(3), dictNext(3), dictCreate(3), dictSetValue(3), dictModifyValue(3), dictSearch